Fly The Maddog P3D5 P3D4 New Update

Update for hardcore simmers flying the MD-8x series of Fly The Maddog X : they released a new version for P3D v5.1 support, that takes advantage of the Enhanced Atmospherics with their visual effects, and also for P3D v4.4/v4.5.

It’s also now possible to connect your Electronig Flight Bag to Aviaserver EFB / PMS, other fixes are included. Just install the patch over your current installation.

screenshot by RichardGroy

Comments are closed.